## org.hornetq.rest.topic
Interface TopicPushStore

All Superinterfaces:
  PushStore

All Known Implementing Classes:
  FileTopicPushStore

    public interface TopicPushStore

extends PushStore

Version:
  $Revision: 1 $
Author:
  Bill Burke

Method Summary
`java.util.List<PushTopicRegistration>` `getByTopic(java.lang.String topic)`

Methods inherited from interface org.hornetq.rest.queue.push.PushStore
`add, getByDestination, remove, removeAll, update`

Method Detail

### getByTopic

    java.util.List<PushTopicRegistration> getByTopic(java.lang.String topic)

Copyright © 2013. All Rights Reserved.